<template>
  <div class="frontier-academy-page">
    <IntroSection :title="data.page_name || page_name" />
    <div class="content">
      <div class="container">
        <div
          v-html="$replaceMediaPath(data.information)"
          class="rich-text"
        ></div>
      </div>
    </div>
  </div>
</template>

<script>
import _ from "lodash";
import qs from "qs";

export default {
  data() {
    return {
      page_name: "Frontier Academy",
      data: {},
    };
  },
  head({ $config }) {
    return {
      title: `${this.page_name} - ${$config.title}`,
    };
  },
  mounted() {
    this.getData();
  },
  methods: {
    async getData() {
      const query = qs.stringify(
        {
          populate: "*",
        },
        {
          encodeValuesOnly: true,
        }
      );

      try {
        const res = await this.$appApi.get(`/frontier-academy?${query}`);
        this.data = _.get(res, "data.attributes") || {};
      } catch (error) {
        console.log("getData ~ error:", error);
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.frontier-academy-page {
  .content {
    padding: 80px 0;
    border-top: 1px solid $color-primary-500;
  }
}
</style>
